# class Complex

### Public Class Methods

json_create(object) click to toggle source

Deserializes JSON string by converting Real value `r`, imaginary value `i`, to a Complex object.

    # File lib/json/add/complex.rb, line 10
    def self.json_create(object)
      Complex(object['r'], object['i'])
    end

### Public Instance Methods

as_json(*) click to toggle source

Returns a hash, that will be turned into a JSON object and represent this object.

    # File lib/json/add/complex.rb, line 16
    def as_json(*)
      {
        JSON.create_id => self.class.name,
        'r'            => real,
        'i'            => imag,
      }
    end

to_json(*) click to toggle source

Stores class name (Complex) along with real value `r` and imaginary value `i` as JSON string

    # File lib/json/add/complex.rb, line 25
    def to_json(*)
      as_json.to_json
    end